Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.command
Class ExecuteJavaHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.command.ExecuteJavaHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteJavaHeadlessHandler

    public class ExecuteJavaHandler

extends ExecuteHandler

The Class ExecuteJavaHandler.

Constructor Summary
`ExecuteJavaHandler()` Instantiates a new execute java handler.
`ExecuteJavaHandler(boolean headless)` Instantiates a new execute java handler.

Method Summary
`protected void` | `executeOpen(EclipseEscapeRunner eclipseRunner, java.lang.Object executed, org.eclipse.core.runtime.IProgressMonitor monitor)` Execute open.
`org.eclipse.jdt.core.IType` | `getType(java.lang.Object object)`
`protected boolean` | `handleSelect(java.lang.Object sel)` Handle select.
`boolean` | `isSupertype(java.lang.Object sel, java.lang.String className)` Checks if is supertype.
`boolean` | `isTypeSupertype(org.eclipse.jdt.core.IType type, java.lang.String className)` Checks if is supertype.

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`createRunner, execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteJavaHandler

    public ExecuteJavaHandler(boolean headless)

  Instantiates a new execute java handler.

  Parameters:
    `headless` - the headless

### ExecuteJavaHandler

    public ExecuteJavaHandler()

  Instantiates a new execute java handler.

Method Detail

### executeOpen

    protected void executeOpen(EclipseEscapeRunner eclipseRunner,
                               java.lang.Object executed,
                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from class: `ExecuteHandler`
  Execute open.

  Specified by:
    `executeOpen` in class `ExecuteHandler`
  Parameters:
    `eclipseRunner` - the eclipse runner
    `executed` - the executed scape resource/name
    `monitor` - the monitor

### handleSelect

    protected boolean handleSelect(java.lang.Object sel)

  Description copied from class: `ExecuteHandler`
  Handle select.

  Specified by:
    `handleSelect` in class `ExecuteHandler`
  Parameters:
    `sel` - the sel
  Returns:
    true, if successful

### isTypeSupertype

    public boolean isTypeSupertype(org.eclipse.jdt.core.IType type,
                                   java.lang.String className)

  Checks if is supertype.

  Parameters:
    `type` - the type
    `className` - the class name
  Returns:
    true, if is supertype

### isSupertype

    public boolean isSupertype(java.lang.Object sel,
                               java.lang.String className)

  Checks if is supertype.

  Parameters:
    `sel` - the sel
    `className` - the class name
  Returns:
    true, if is supertype

### getType

    public org.eclipse.jdt.core.IType getType(java.lang.Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD